Pregunta Error de instalación de Python pip


Instalé Python en Mac OS X usando Homebrew con

$ brew install python

Y luego trato de usar pip para actualizar pero obtener errores:

$ which python
/usr/local/bin/python
$ python --version
Python 2.7.5
$ pip --version
pip 1.5.4 from /usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg (python 2.7)
$ pip install --upgrade distribute
Downloading/unpacking distribute
  Downloading distribute-0.7.3.zip (145kB): 145kB downloaded
  Running setup.py (path:/private/var/folders/87/wkgwm0754tn9csz8295qjmmc000bxz/T/pip_build_bdkk/distribute/setup.py) egg_info for package distribute

Downloading/unpacking setuptools>=0.7 from https://pypi.python.org/packages/3.4/s/setuptools/setuptools-3.4.4-py2.py3-none-any.whl#md5=46284205a95cf3f9e132bbfe569e1b9d (from distribute)
  Downloading setuptools-3.4.4-py2.py3-none-any.whl (545kB): 545kB downloaded
Installing collected packages: setuptools, distribute
  Found existing installation: setuptools 3.4.1
    Uninstalling setuptools:
      Successfully uninstalled setuptools
  Rolling back uninstall of setuptools
Cleaning up...
Exception:
Traceback (most recent call last):
  File "/usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg/pip/commands/install.py", line 283, in run
    requirement_set.install(install_options, global_options, root=options.root_path)
  File "/usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg/pip/req.py", line 1439, in install
    requirement.rollback_uninstall()
  File "/usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg/pip/req.py", line 603, in rollback_uninstall
    self.uninstalled.rollback()
  File "/usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg/pip/req.py", line 1855, in rollback
    pth.rollback()
AttributeError: 'str' object has no attribute 'rollback'

Storing debug log for failure in /Users/bdkk/.pip/pip.log

¿Alguna idea?


5
2018-04-24 18:23


origen


Respuestas:


Actualice las herramientas de configuración por separado antes de intentar instalar distribuir:

pip install --upgrade setuptools
pip install --upgrade distribute

9
2018-04-24 18:48